#!/bin/bash

#_______________________________________________________________________________
#
# script version: 1.1
# date: 2011-06-15
#_______________________________________________________________________________

# exit the script on errors
set -e

CUR_DIR=$(dirname "$0")
CUR_DIR=$(readlink -f -- "$CUR_DIR")

MAIN_DIR=$CUR_DIR

. "$MAIN_DIR/builders/config.sh"

# re-create the DIST_DIR
rm -frv "$DIST_DIR"
mkdir -v "$DIST_DIR"

if [ $OPT_BUILD_DEB ]; then
    sh "$BUILDERS_DIR/build_deb.sh" || exit 1
fi

if [ $OPT_BUILD_MAEMO_DEB ]; then
    sh "$BUILDERS_DIR/build_maemodeb.sh" || exit 1
fi

if [ $OPT_BUILD_RPM ]; then
    sh "$BUILDERS_DIR/build_rpm.sh" || exit 1
fi

if [ $OPT_BUILD_WIN_INSTALLER ]; then
    sh "$BUILDERS_DIR/build_win.sh" || exit 1
fi

if [ $OPT_BUILD_MAC_BUNDLE ]; then
    sh "$BUILDERS_DIR/build_mac.sh" || exit 1
fi

if [ $OPT_BUILD_MULTI_TARGZ ]; then
    sh "$BUILDERS_DIR/build_mpf_targz.sh"
fi

echo 'All done \o/'
