#!/bin/bash

# exit the script on errors
set -e

CUR_DIR=$(dirname "$0")
CUR_DIR=$(readlink -f -- "$CUR_DIR")

. "$CUR_DIR/config.sh"

# prerequisite testing
if [ ! "$(which uuencode)" ]; then
    echo "Error: you must have uuencode installed to build the base64 icon!"
    exit 1
fi

# base64 conversion
uuencode -m "$APP_ICON_DIR/icon48.png" "$APP_ICON_DIR/icon48.png" \
    > "$APP_ICON_DIR/icon48.txt"

# remove the first line (begin-base64 ...)
sed -i '1d' "$APP_ICON_DIR/icon48.txt"

# and the last line (====)
sed -i '$d' "$APP_ICON_DIR/icon48.txt"

# add 4 spaces at the beginning of each lines
sed -i "s/^/    /" "$APP_ICON_DIR/icon48.txt"

# and add a blank line at the end of the file
echo '' >> "$APP_ICON_DIR/icon48.txt"

echo "base64 icon48.txt created in $APP_ICON_DIR"
