#!/bin/bash

# exit the script on errors
set -e

CUR_DIR=$(dirname "$0")
CUR_DIR=$(readlink -f -- "$CUR_DIR")

. "$CUR_DIR/config.sh"

# prerequisite testing
if [ ! "$(which png2icns)" ]; then
    echo "Error: you must have png2icns installed to build the icns icon!"
    exit 1
fi

png2icns "$APP_ICON_DIR/icon.icns" "$APP_ICON_DIR/icon128.png" \
    "$APP_ICON_DIR/icon48.png" "$APP_ICON_DIR/icon32.png" \
    "$APP_ICON_DIR/icon16.png"

echo "icon.icns created in $APP_ICON_DIR"
