#!/bin/bash

# usage:
# sh build.sh [appname [resourceFile]]
#   appname:       name of the generated executable. Default: xal
#   resourceFile:  path to a resource file, to customize the generated
#                  executable with an icon and some properties.
#                  Default: ./resource.rc

if [ "$1" ]; then
    APP_NAME="$1"
else
    APP_NAME=xal
fi

if [ "$2" ] && [ -f "$2" ]; then
    RESFILE="$2"
elif [ -f ./resource.rc ]; then
    RESFILE=./resource.rc
else
    RESFILE=""
fi

CC=i586-mingw32msvc-gcc
#CFLAGS="-Wall -Wextra -ansi -O -Wstrict-prototypes"
CFLAGS="-Wall -Wextra -std=c99 -O2 -Wstrict-prototypes"
#LDFLAGS="-lshlwapi -Wl,-subsystem,windows"
LDFLAGS="-lshlwapi -Wl,-subsystem,windows -s"

RESCOMP=i586-mingw32msvc-windres

if [ "$RESFILE" ]; then
    $RESCOMP "$RESFILE" -O coff -o ./"$APP_NAME-res.o"
    $CC $CFLAGS -o "$APP_NAME.exe" ./main.c ./"$APP_NAME-res.o" $LDFLAGS
else
    $CC $CFLAGS -o "$APP_NAME.exe" ./main.c $LDFLAGS
fi
